Bug 1149116 - Option Collate in printing copies does not work properly
Summary: Option Collate in printing copies does not work properly
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: libreoffice
Version: 7.1
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: rc
: ---
Assignee: Caolan McNamara
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-10-03 09:04 UTC by Ladislav Kolacek
Modified: 2019-08-01 12:32 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-01 12:32:20 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Ladislav Kolacek 2014-10-03 09:04:11 UTC
Description of problem:

Version-Release number of selected component (if applicable):
libmwaw-0.2.0-4.el7
libodfgen-0.0.4-1.el7
libcmis-0.4.1-5.el7
liblangtag-0.5.4-6.el7
libreoffice-4.2.6.3-2.el7
libabw-0.0.2-1.el7
libfreehand-0.0.0-3.el7
libetonyek-0.0.4-2.el7

How reproducible:
always

Steps to Reproduce:
    1. Open a document in Writer
    2. Select File -> Print in menu (or press Ctrl+P)
    3. Select a real printer
       Select Range -> Pages and input '1-3'
       Input Number of Copies: 2
       Don't check 'Collate'
    4. Click Properties button.
       Select Duplex: Off
    5. Click OK button to print.

Actual results: 2 copies of file are printed, and pages are in order: 
1,2,3,1,2,3

Expected results: 2 copies of file are printed, and pages are in order: 1,1,2,2,3,3

Comment 2 David Tardon 2016-01-13 19:10:57 UTC
Is this with the internal print dialog or the system one? Hint: the internal dialog contains a preview.

Comment 3 Ladislav Kolacek 2016-01-14 13:38:06 UTC
It's internal print dialog.

Problem still persists in rhel 7.3

Adding versions of component:
libmwaw-0.3.5-1.el7.x86_64
libodfgen-0.1.4-1.el7.x86_64
libcmis-0.4.1-5.el7.x86_64
liblangtag-0.5.4-8.el7.x86_64
libreoffice-writer-4.3.7.2-5.el7_2.1.x86_64
libabw-0.1.1-2.el7.x86_64
libfreehand-0.1.1-1.el7.x86_64
libetonyek-0.1.2-4.el7.x86_64
kernel-3.10.0-327.4.4.el7.x86_64

Comment 4 Caolan McNamara 2016-01-20 15:37:28 UTC
hmm, I do see a suspicious line in the collation area, but the original reported issue works fine for me so I can't quite yet tell if I have definitely found the original problem.

In the print dialog, select the printer you are printing to, click properties and in the properties dialog in the "device" tab what is written for "Printer Language Type" ?

Comment 5 Ladislav Kolacek 2016-01-21 11:13:17 UTC
Hi, 

"Printer Language type" is set to "Automatic: PDF"

Comment 8 RHEL Program Management 2019-08-01 12:32:20 UTC
Development Management has reviewed and declined this request. You may appeal this decision by reopening this request.


Note You need to log in before you can comment on or make changes to this bug.